# Credit Usage

`GET /team/credit-usage`

> Note: A new [v2 version of this API](/api-reference/endpoint/credit-usage) is now available with improved features and performance.

## OpenAPI

````yaml api-reference/v1-openapi.json get /team/credit-usage
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v1
  description: API for interacting with Firecrawl services to perform web scraping
    and crawling tasks.
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /team/credit-usage:
    get:
      summary: Get remaining credits for the authenticated team
      operationId: getCreditUsage
      tags:
        - Billing
      security:
        - bearerAuth: []
      responses:
        "200":
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      remaining_credits:
                        type: number
                        description: Number of credits remaining for the team
                        example: 1000
                      plan_credits:
                        type: number
                        description: Number of credits in the plan. This does not include coupon credits
                          or credits added by pay-as-you-go.
                        example: 500000
                      billing_period_start:
                        type: string
                        format: date-time
                        description: Start date of the current billing period.
                        example: 2025-01-01T00:00:00Z
                        nullable: true
                      billing_period_end:
                        type: string
                        format: date-time
                        description: End date of the current billing period.
                        example: 2025-01-31T23:59:59Z
                        nullable: true
        "404":
          description: Credit usage information not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Could not find credit usage information
        "500":
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Internal server error while fetching credit usage
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
